Subject: Re: [PATCH gnome-team v9 0/7] Update eudev, upower, udev-service-type, with /lib/udev/hardware

From: Vivien Kraus <[email-masked]>
Date: Sun, 08 Oct 2023 14:33:02 +0200

Le dimanche 08 octobre 2023 à 08:27 -0400, Maxim Cournoyer a écrit :
> > I find it surprising that we should rename /lib/udev/hwdb.d to
> > /lib/udev/hardware, but the impact is minimal (udevadm on Guix for
> > the
> > udev-service-type relies only on UDEV_HWDB_PATH, which can accept
> > /hardware
> > easily), and you insist, so, let’s do that.
> 
> I thought I mentioned it earlier (can't find it in my replies now)
> but
> I'd prefer sticking to eudev's naming of choice (hwdb.d); going
> against
> this will necessarily cause some friction and maintenance in the
> future,
> for no gain (also, it may be more readable but unexpected by eudev's
> users).  I'd say it's an extraneous change.
> 
> Sorry for the back and forth.

No problem, I’ll remove it in the next iteration, and if this is the
last, then the commiter can just ignore the last patch.

Best regards,

Vivien